=== debian/control ===
Source: mlt-dmo
Section: libs
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://www.mltframework.org
Standards-Version: 4.5.1
Build-Conflicts: libruby2.5
Build-Depends: debhelper-compat (= 13), dh-sequence-python3, ladspa-sdk,
 libavdevice-dev, libebur128-dev, libavformat-dev (>= 10:4.3~), quilt, ruby,
 libjack-jackd2-dev, swig, libsamplerate-dev, libsdl2-dev,
 libsox-dev (>= 14.4.0), libqt5svg5-dev, libswscale-dev, libvorbis-dev,
 libxine2-dev, libxml2-dev, imagemagick, python3-dev (>= 3.8~), libfftw3-dev,
 libavcodec-dev (>= 7:0.11.1), frei0r-plugins-dev, ruby-dev, libasound2-dev,
 qtbase5-dev, libmovit-dev (>= 1:1.6.0~), libsdl-image1.2-dev, libepoxy-dev,
 libvidstab-dev (>= 2:1.1.0~), libqt5opengl5-dev, libexif-dev,
 librtaudio-dev (>= 5.0.0~ds~) [linux-any], librubberband-dev, libquicktime-dev,
 libgdk-pixbuf2.0-dev, libpango1.0-dev, portaudio19-dev, libopencv-dev (>= 4.5.0~)

Package: libmlt-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libmlt6 (= ${binary:Version})
Description: Multimedia framework (development)
 MLT is an open source multimedia framework, designed and developed for
 television broadcasting. It provides a toolkit for broadcasters, video
 editors, media players, transcoders, web streamers and many more types of
 applications. The functionality of the system is provided via an assortment
 of ready to use tools, xml authoring components, and an extendible plug-in
 based API.
 .
 This package contains the static libraries and headers for developing
 applications that use the MLT multimedia framework.

Package: libmlt6
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libmlt-data (>= ${source:Version})
Conflicts: libmlt0.2, libmlt0.2.5, libmlt1, libmlt2, libmlt3, libmlt4, libmlt5
Replaces: libmlt0.2, libmlt0.2.5, libmlt1, libmlt2, libmlt3, libmlt4, libmlt5
Description: Multimedia framework (runtime)
 MLT is an open source multimedia framework, designed and developed for
 television broadcasting. It provides a toolkit for broadcasters, video
 editors, media players, transcoders, web streamers and many more types of
 applications. The functionality of the system is provided via an assortment
 of ready to use tools, xml authoring components, and an extendible plug-in
 based API.
 .
 This package contains the files necessary for running applications that
 use the MLT multimedia framework.

Package: libmlt++-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libmlt++3 (= ${binary:Version}), ${misc:Depends}
Description: MLT multimedia framework C++ wrapper (development)
 MLT is an open source multimedia framework, designed and developed for
 television broadcasting. It provides a toolkit for broadcasters, video
 editors, media players, transcoders, web streamers and many more types of
 applications. The functionality of the system is provided via an assortment
 of ready to use tools, xml authoring components, and an extendible plug-in
 based API.
 .
 This package contains the static libraries and headers for developing
 applications that use the MLT multimedia framework C++ wrapper.

Package: libmlt++3
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libmlt++0.2, libmlt++2
Replaces: libmlt++0.2, libmlt++2
Description: MLT multimedia framework C++ wrapper (runtime)
 MLT is an open source multimedia framework, designed and developed for
 television broadcasting. It provides a toolkit for broadcasters, video
 editors, media players, transcoders, web streamers and many more types of
 applications. The functionality of the system is provided via an assortment
 of ready to use tools, xml authoring components, and an extendible plug-in
 based API.
 .
 This package contains the files necessary for running applications that
 use the MLT multimedia framework C++ wrapper.

Package: libmlt-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Enhances: libmlt6
Description: Multimedia framework (data)
 MLT is an open source multimedia framework, designed and developed for
 television broadcasting. It provides a toolkit for broadcasters, video
 editors, media players, transcoders, web streamers and many more types of
 applications. The functionality of the system is provided via an assortment
 of ready to use tools, xml authoring components, and an extendible plug-in
 based API.
 .
 This package contains the data files for the MLT multimedia framework.

Package: melt
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libmlt-data (>= ${source:Version})
Description: Command line media player and video editor
 melt was meant as a test tool for the MLT framework, but it is also a
 powerful multitrack command line oriented video editor. It could also used
 as an minimalistic media player for audio and video files.

Package: python3-mlt
Architecture: any
Section: python
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Provides: ${python3:Provides}
Conflicts: python-mlt2, python-mlt3, python-mlt5, python-mlt
Replaces: python-mlt2, python-mlt3, python-mlt5, python-mlt
Description: Multimedia framework (python bindings)
 MLT is an open source multimedia framework, designed and developed for
 television broadcasting. It provides a toolkit for broadcasters, video
 editors, media players, transcoders, web streamers and many more types of
 applications. The functionality of the system is provided via an assortment
 of ready to use tools, xml authoring components, and an extendible plug-in
 based API.
 .
 This package contains the Python bindings for the mlt package.

Package: libmlt-ruby2.7
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Multimedia framework (Ruby 2.7 bindings)
 MLT is an open source multimedia framework, designed and developed for
 television broadcasting. It provides a toolkit for broadcasters, video
 editors, media players, transcoders, web streamers and many more types of
 applications. The functionality of the system is provided via an assortment
 of ready to use tools, xml authoring components, and an extendible plug-in
 based API.
 .
 This package contains the Ruby 2.7 bindings for the mlt package.

Package: libmlt-perl
Architecture: any
Section: perl
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Description: Multimedia framework (Perl bindings)
 MLT is an open source multimedia framework, designed and developed for
 television broadcasting. It provides a toolkit for broadcasters, video
 editors, media players, transcoders, web streamers and many more types of
 applications. The functionality of the system is provided via an assortment
 of ready to use tools, xml authoring components, and an extendible plug-in
 based API.
 .
 This package contains the Perl bindings for the mlt package.
