=== debian/rules ===
#!/usr/bin/make -f

PYTHON_DIR := /usr/lib/python3/dist-packages/
RUBY_DIR := $(shell ruby -rrbconfig -e 'puts RbConfig::CONFIG["archdir"][1..-1]')
SWIG-LANGAGES="python ruby perl"

export DEB_LDFLAGS_MAINT_APPEND=-latomic

ifeq "$(DEB_HOST_ARCH)" "i386"
	EXTRA_CONFIGURE_OPTS += --disable-sse2
endif

%:
	dh $@ --with quilt

override_dh_auto_configure:
	dh_auto_configure -- \
	--target-arch=$(DEB_HOST_ARCH) \
	--qt-libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
	--qt-includedir=/usr/include/$(DEB_HOST_MULTIARCH)/qt5 \
	--swig-languages=$(SWIG-LANGAGES) \
	$(EXTRA_CONFIGURE_OPTS) \
	--avformat-swscale \
	--disable-gtk2 \
	--disable-linsys \
	--disable-lumas \
	--disable-ndi \
	--disable-swfdec \
	--enable-avformat \
	--enable-core \
	--enable-decklink \
	--enable-dv \
	--enable-feeds \
	--enable-frei0r \
	--enable-gdk \
	--enable-gpl \
	--enable-gpl3 \
	--enable-jackrack \
	--enable-kdenlive \
	--enable-kino \
	--enable-motion_est \
	--enable-normalize \
	--enable-oldfilm \
	--enable-opencv \
	--enable-opengl \
	--enable-plus \
	--enable-plusgpl \
	--enable-qt \
	--enable-resample \
	--enable-rtaudio \
	--enable-rubberband \
	--enable-sdl \
	--enable-sdl2 \
	--enable-sox \
	--enable-videostab \
	--enable-vid.stab \
	--enable-vmfx \
	--enable-vorbis \
	--enable-xine \
	--enable-xml

#	exit 1

override_dh_install:
	mkdir -p debian/python3-mlt/$(PYTHON_DIR)
	install -m 644 src/swig/python/mlt.py debian/python3-mlt/$(PYTHON_DIR)/mlt.py
	install -m 644 src/swig/python/_mlt.so debian/python3-mlt/$(PYTHON_DIR)/_mlt.so
	mkdir -p debian/libmlt-ruby2.7/$(RUBY_DIR)
	install -m 644 src/swig/ruby/mlt.so debian/libmlt-ruby2.7/$(RUBY_DIR)/mlt.so

	$(MAKE) install INSTALLDIRS=vendor DESTDIR=$(CURDIR)/debian/libmlt-perl -C src/swig/perl

	dh_install

override_dh_auto_clean:
	[ ! -f config.mak ] || $(MAKE) distclean
	rm -f config.log *.pc src/modules/gtk2/config.h
	find \( -name '*.o' -o -name '*.mak' -o -name '.depend' \) -delete

	dh_clean src/swig/perl/Makefile.old src/modules/*.so \
	src/modules/disable-* src/modules/lumas/.8bit \
	src/modules/lumas/.compress src/modules/lumas/.executed \
	src/modules/make.inc packages.dat
